org.apache.tools.ant.taskdefs.compilers

## Class AptExternalCompilerAdapter

- java.lang.Object
- - org.apache.tools.ant.taskdefs.compilers.DefaultCompilerAdapter
  - - org.apache.tools.ant.taskdefs.compilers.AptExternalCompilerAdapter

All Implemented Interfaces:
  CompilerAdapter, CompilerAdapterExtension

    public class AptExternalCompilerAdapter
    extends DefaultCompilerAdapter

The implementation of the apt compiler for JDK 1.5 using an external process

Since:
  Ant 1.7

### Field Summary

### Fields inherited from class org.apache.tools.ant.taskdefs.compilers.DefaultCompilerAdapter

`attributes, bootclasspath, compileClasspath, compileList, compileSourcepath, debug, depend, deprecation, destDir, encoding, extdirs, includeAntRuntime, includeJavaRuntime, location, lSep, memoryInitialSize, memoryMaximumSize, modulepath, moduleSourcepath, optimize, project, release, src, target, upgrademodulepath, verbose`

### Constructor Summary

Constructors
Constructor and Description
`AptExternalCompilerAdapter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `execute()` Performs a compile using the Javac externally.
`protected Apt` `getApt()` Get the facade task that fronts this adapter

### Methods inherited from class org.apache.tools.ant.taskdefs.compilers.DefaultCompilerAdapter

`addCurrentCompilerArgs, addExtdirsToClasspath, assumeJava11, assumeJava12, assumeJava13, assumeJava14, assumeJava15, assumeJava16, assumeJava17, assumeJava18, assumeJava19, assumeJava9, assumeJava9Plus, executeExternalCompile, executeExternalCompile, getBootClassPath, getCompileClasspath, getJavac, getModulepath, getModulesourcepath, getNoDebugArgument, getProject, getSupportedFileExtensions, getUpgrademodulepath, logAndAddFilesToCompile, setJavac, setupJavacCommand, setupJavacCommand, setupJavacCommandlineSwitches, setupJavacCommandlineSwitches, setupModernJavacCommand, setupModernJavacCommandlineSwitches`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AptExternalCompilerAdapter

    public AptExternalCompilerAdapter()

### Method Detail

#### getApt

    protected Apt getApt()

Get the facade task that fronts this adapter

Returns:
  task instance
See Also:
  `DefaultCompilerAdapter.getJavac()`

#### execute

    public boolean execute()
                    throws BuildException

Performs a compile using the Javac externally.

Returns:
  true the compilation was successful.
Throws:
  `BuildException` - if there is a problem.